summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Dugan Chen2012-06-28 22:54:45 +0200
committer dsomero2012-06-28 22:54:45 +0200
commit2c661fa148d1f7274ff1d5590cef02eb3194df01 (patch)
treeb79a667c1de84a700ac2e2d46d97845adc892a1a /desktop
parentb80b9f01ee3d1b2face0ab0145cba985b6922e6f (diff)
downloadslackbuilds-2c661fa148d1f7274ff1d5590cef02eb3194df01.tar.gz
desktop/lxappearance: Updated for version 0.5.2, moved from misc.
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/lxappearance/README2
-rw-r--r--desktop/lxappearance/doinst.sh3
-rw-r--r--desktop/lxappearance/lxappearance.SlackBuild79
-rw-r--r--desktop/lxappearance/lxappearance.info10
-rw-r--r--desktop/lxappearance/slack-desc19
5 files changed, 113 insertions, 0 deletions
diff --git a/desktop/lxappearance/README b/desktop/lxappearance/README
new file mode 100644
index 0000000000..b61853913f
--- /dev/null
+++ b/desktop/lxappearance/README
@@ -0,0 +1,2 @@
+LXAppearance is the standard theme switcher of LXDE. Users are able to
+change the theme, icons, and fonts used by applications easily.
diff --git a/desktop/lxappearance/doinst.sh b/desktop/lxappearance/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/desktop/lxappearance/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/desktop/lxappearance/lxappearance.SlackBuild b/desktop/lxappearance/lxappearance.SlackBuild
new file mode 100644
index 0000000000..2c3acec1bc
--- /dev/null
+++ b/desktop/lxappearance/lxappearance.SlackBuild
@@ -0,0 +1,79 @@
+#!/bin/sh
+
+# Slackware build script for LXAppearance
+
+# Originally by "majk" <majk@konstelacioj.info>
+
+PRGNAM=lxappearance
+VERSION=${VERSION:-0.5.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --mandir=/usr/man \
+ --sysconfdir=/etc \
+ --build=$ARCH-slackware-linux
+
+make V=1
+make install-strip DESTDIR=$PKG
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/lxappearance/lxappearance.info b/desktop/lxappearance/lxappearance.info
new file mode 100644
index 0000000000..23780198cd
--- /dev/null
+++ b/desktop/lxappearance/lxappearance.info
@@ -0,0 +1,10 @@
+PRGNAM="lxappearance"
+VERSION="0.5.2"
+HOMEPAGE="http://lxde.org"
+DOWNLOAD="http://downloads.sourceforge.net/lxde/lxappearance-0.5.2.tar.gz"
+MD5SUM="a088c6ef08fd25df7dc3be5b07168bbe"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Dugan Chen"
+EMAIL="thedoogster@gmail.com"
+APPROVED="dsomero"
diff --git a/desktop/lxappearance/slack-desc b/desktop/lxappearance/slack-desc
new file mode 100644
index 0000000000..d11d6dfed6
--- /dev/null
+++ b/desktop/lxappearance/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+lxappearance: lxappearance (Simple GTK theme switcher)
+lxappearance:
+lxappearance: LXAppearance is the standard theme switcher of LXDE. Users are able
+lxappearance: to change the theme, icons, and fonts used by applications easily.
+lxappearance:
+lxappearance:
+lxappearance:
+lxappearance:
+lxappearance:
+lxappearance: Homepage: http://lxde.org/
+lxappearance: